--
-- removeAttachable
-- removes the specialization Attachable from actual mod
-- dirty hack to combine steerable and trailer
-- @author  Sven777b
-- @date  29.09.2011
--

removeAttachable = {};

function removeAttachable.prerequisitesPresent(specializations)
     return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function removeAttachable:load(xmlFile)
	for i,v in ipairs(self.specializations) do
		if v == attachable then
			table.remove(self.specializations,i);
			break;
		end;
	end;
end;

function removeAttachable:delete()
end;

function removeAttachable:mouseEvent(posX, posY, isDown, isUp, button)
end;

function removeAttachable:keyEvent(unicode, sym, modifier, isDown)
end;

function removeAttachable:update(dt)
end;

function removeAttachable:draw()
end;
